Installer - Feature #34590

Run Apache httpd without default modules from puppetlabs-apache
03/10/2022 02:56 PM - William Clark

Status: Closed

Priority: Normal

Assignee: William Clark
Category: foreman-installer script

Target version:

Difficulty: Fixed in Releases: 3.3.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/754

Description

The puppetlabs-apache puppet module used by the foreman-installer installs Apache httpd with a set of default Apache modules that
may not all be necessary for a Katello deployment

The purpose of this card is to pare those Apache modules down to a reasonable minimum set and allow the user to opt in to enabling
additional Apache modules which they desire.

Related issues:

Related to Installer - Bug #35227: Autoindexing on /pub is broken because apa... Closed
Related to Installer - Feature #35356: Compatibility with apache mod_status Closed
Related to Installer - Bug #35524: SSO feature settings are not getting enabl... Closed

Associated revisions

Revision b2b6eeab6 - 04/26/2022 02:09 PM - William Clark

Fixes #34590 - Enable only minimum apache modules

The puppetlabs-apache module installs Apache httpd with a set of default Apache modules, some of which are not necessary for our use case. This
commit reduces that set of Apache modules to a minimum, by setting “apache::default_mods: false" in “config/foreman.hiera/common.yaml’. The user

can enable additional modules if desired by overriding “apache::default_mods’ in custom-hiera.yaml with a list of Apache modules. For more
information, see documentation for puppetlabs-apache.

History

#1 - 03/10/2022 03:07 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman-installer/pull/754 added

#2 - 04/26/2022 02:09 PM - The Foreman Bot
- Fixed in Releases 3.3.0 added

#3 - 04/26/2022 03:01 PM - William Clark
- Status changed from Ready For Testing to Closed

Applied in changeset installer|b2b6eeaba91fe89627c90459c095525aed0e0d0f.

#4 - 07/15/2022 09:56 AM - Ewoud Kohl van Wijngaarden

- Related to Bug #35227: Autoindexing on /pub is broken because apache mod_autoindex is not loaded added

#5 - 08/10/2022 01:17 PM - Ewoud Kohl van Wijngaarden
- Related to Feature #35356: Compatibility with apache mod_status added

#6 - 09/13/2022 02:03 PM - Ewoud Kohl van Wijngaarden
https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/b2b6eea6a91fe89627c90459c095525aed0e0d0f

- Related to Bug #35524: SSO feature settings are not getting enabled and fails with HTTPD CONF issue added
